> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Token config

> Get the token level configurations.

**Limit: 10 requests per 1 second**\
Get the token level configurations.

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "rows": [
              {
                  "token": "BTC",
                  "collateralRatio": "0.85",
                  "marginFactor": "0.00000023",
                  "collateral": true,       // if the token is now used as collateral
                  "canCollateral": true,    // if the token can be used as collateral
                  "canShort": true,         // if the token supports short selling
                  "marginMaxLeverage": 10, 
                  "marginMaxPosition": 100000000000
              },
              {
                  "token": "ETH",
                  "collateralRatio": "0.85",
                  "marginFactor": 0.00000025",
                  "collateral": true,
                  "canCollateral": true,
                  "canShort": true,
                  "marginMaxLeverage": 10, 
                  "marginMaxPosition": 100000000000
              },
              {
                  "token": "WOO",
                  "collateralRatio": "0.6",
                  "marginFactor": "0.00000025",
                  "collateral": false,
                  "canCollateral": false,
                  "canShort": false,
                  "marginMaxLeverage": 5,
                  "marginMaxPosition": 100000000000
              }
          ]
      },
      "timestamp": 1721351502594
  }

  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/account/tokenConfig
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/account/tokenConfig:
    get:
      description: Get the token level configurations.
      parameters:
        - $ref: '#/components/parameters/ApiKeyHeader'
        - $ref: '#/components/parameters/SignatureHeader'
        - $ref: '#/components/parameters/TimestampHeader'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenConfigResponse'
      security: []
components:
  parameters:
    ApiKeyHeader:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        example: abcdef123456
      description: api-key
    SignatureHeader:
      name: x-api-signature
      in: header
      required: true
      schema:
        type: string
        example: signaturestring
      description: api-signature
    TimestampHeader:
      name: x-api-timestamp
      in: header
      required: true
      schema:
        type: string
        example: '1718943200000'
      description: api-timestamp
  schemas:
    TokenConfigResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      token:
                        type: string
                        description: Token symbol, e.g., BTC.
                      collateralRatio:
                        type: string
                        description: >-
                          The collateral ratio of the token, represented as a
                          string.
                      marginFactor:
                        type: string
                        description: >-
                          The margin factor of the token, represented as a
                          string for precision.
                      collateral:
                        type: boolean
                        description: >-
                          Indicates if the token is currently being used as
                          collateral.
                      canCollateral:
                        type: boolean
                        description: Indicates if the token can be used as collateral.
                      canShort:
                        type: boolean
                        description: Indicates if short selling is supported for the token.
                      marginMaxLeverage:
                        type: integer
                        description: Maximum leverage allowed for margin trading.
                      marginMaxPosition:
                        type: integer
                        description: >-
                          Maximum allowed position size for the token in margin
                          trading.
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````